package com.supwisdom.institute.backend.common.core.transmit.user;

public class UserContext {
  
  private static ThreadLocal<User> user = new ThreadLocal<User>();
  
  public static String KEY_USER_IN_HTTP_HEADER = "X-FORWARD-USER";
  
  private UserContext() {
    
  }
  
  public static User getUser() {
    return user.get();
  }
  
  public static void setUser(User value) {
    user.set(value);
  }

}
